Index: lib/style/skins/first/search.js
===================================================================
--- lib/style/skins/first/search.js	(revision 4483)
+++ lib/style/skins/first/search.js	(revision 4484)
@@ -28,7 +28,7 @@
 	var index = 0;
 	if (submitFormObj.docid.length > 1) {
 		for (var i=0; i < submitFormObj.docid.length; i++) {
-			if (submitFormObj.docid[i].checked) {
+			if (submitFormObj.docid[i].value != "") {
 				var documentObject = new Object();
 				documentObject.docid = submitFormObj.docid[i].value;
 				
@@ -44,7 +44,7 @@
 	}
 	else {
 		//alert("submitFormObj.docid=" + submitFormObj.docid);
-		if (submitFormObj.docid.checked) {
+		if (submitFormObj.docid.value != "") {
 			var documentObject = new Object();
 			documentObject.docid = submitFormObj.docid.value;
 			
Index: lib/style/skins/first/header.jsp
===================================================================
--- lib/style/skins/first/header.jsp	(revision 4483)
+++ lib/style/skins/first/header.jsp	(revision 4484)
@@ -33,6 +33,7 @@
 
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <%@page import="java.util.Iterator"%>
+<%@page import="edu.ucsb.nceas.metacat.service.SessionService"%>
 <html>
 <head>
 <title>FIRST Data Repository</title>
@@ -58,27 +59,35 @@
 
 <body onload="highlight()">
 <table width="100%" border="0" cellspacing="0" cellpadding="0">
-	<tr valign="top">
-		<td width="400">
-			<img src="<%=STYLE_SKINS_URL%>/first/images/first2banner.jpg">	
+	<tr>
+		<td width="75%" height="145" valign="middle" background="<%=STYLE_SKINS_URL%>/first/images/bkgrndgradient.gif">
+			<table width="1094" border="0" cellspacing="0" cellpadding="0">
+			  <tr>
+			    <td width="1012"><img src="<%=STYLE_SKINS_URL%>/first/images/first_logo.png" width="1012" height="133" /></td>
+			    <td width="82" valign="top"><br />
+			      <table width="63" border="0" cellspacing="0" cellpadding="0">
+			      <tr>
+			        	<td>&nbsp;</td>
+			      </tr>
+			      <tr>
+						<td>&nbsp;</td>
+			      </tr>
+			      <tr>
+						<td>&nbsp;</td>
+			      </tr>
+			    </table>
+			    </td>
+			  </tr>
+			</table>
 		</td>
-		<td>
-			<table width="100%">
-				<tr>
-					<th colspan="3" class="title">
-						FIRST Data Repository
-					</th>
-				</tr>
-				<tr>
-					<td>
-						<a href="index.jsp" target="_top">
-						Search	
-						</a>
-					</td>
-					<td valign="top">
-						<p><a href="about.jsp" target="_top">About</a></p>
-					</td>
-					<td>
+	</tr>
+	<tr>
+		<td height="48" valign="middle" bgcolor="#C8C4B9" background="<%=STYLE_SKINS_URL%>/first/images/navbarbackground.gif">
+			<table width="780" border="0" cellspacing="0" cellpadding="0">
+			  <tr>
+			    <td width="30%">&nbsp;</td>
+			    <td><a href="index.jsp" target="_top">Search</a></td>
+			    <td><a href="about.jsp" target="_top">About</a></td>
 						<%
 						boolean loggedIn = SessionService.isSessionRegistered(request.getSession().getId());
 						String[] docids = null;
@@ -89,6 +98,10 @@
 							fields = 
 								SessionService.getRegisteredSession(request.getSession().getId()).getDocumentCart().getFields();
 							%>
+							<td>
+								<a href="<%=SERVLET_URL%>?action=logout&qformat=first">Logout</a>
+							</td>
+							<td>
 							<div id="importantThings">
 								<a href="cart.jsp" target="_top">
 									Cart 
@@ -95,6 +108,16 @@
 								</a>
 								(Items: <%=docids.length %>, Fields: <%=fields.size() %>)
 							</div>
+							<!-- for the cart status -->
+							<div style="display:none;">
+								<form id='cartForm'>
+									<%
+									for (int i = 0; i < docids.length; i++) {
+									%>							
+										<input name="@packageId" value="<%=docids[i] %>" type="hidden"> 
+									<%} %>
+								</form>
+							</div>
 							<!-- for use when downloading merged data -->
 							<div style="display:none;">
 								<form id='fieldForm'>
@@ -112,21 +135,18 @@
 									%>
 								</form>
 							</div>
+							</td>
 						<%	
 						}
 						else {
 						%>
-							<a href="login.jsp" target="_top">Login</a>
+							<td>
+								<a href="login.jsp" target="_top">Login</a>
+							</td>
 						<%	
 						}
 						%>						
-					</td>
-				</tr>
-				<tr>
-					<td colspan="3">
-						
-					</td>
-				</tr>
+			  </tr>
 			</table>
 		</td>
 	</tr>
Index: lib/style/skins/first/cart.jsp
===================================================================
--- lib/style/skins/first/cart.jsp	(revision 4483)
+++ lib/style/skins/first/cart.jsp	(revision 4484)
@@ -53,7 +53,7 @@
 			var metacatURL = "<%=CONTEXT_URL%>/metacat";
 		
 			var docids = new Array();
-			var objs = document.getElementsByName("@packageId");
+			var objs = window.document.getElementById("iframeheaderclass").contentDocument.getElementsByName("@packageId");
 			if (objs.length == 0) {
 				return;
 			}
@@ -91,6 +91,8 @@
 			 });
 		}
 		
+		
+		
    </script>
 </head>
 <body onload="listAssessments()">
@@ -99,29 +101,12 @@
           insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 
-<table width="100%" border="0" cellspacing="0" cellpadding="0">
+<table width="100%" border="0" cellspacing="20" cellpadding="0">
 	<tr>
 		<th>Cart</th>
-		<th>	
-			<form method="POST" action="<%=SERVLET_URL%>" target="_top" id="searchForm">
-				<input name="qformat" value="first-assessment" type="hidden"> 
-				<input name="action" value="squery" type="hidden"> 	
-				
-				<%
-				String[] docids = 
-					SessionService.getRegisteredSession(request.getSession().getId()).getDocumentCart().getDocids() ;
-				for (int i = 0; i < docids.length; i++) {
-				%>							
-					<input name="@packageId" value="<%=docids[i] %>" type="hidden"> 
-				<%} %>	
-			</form>
-		</th>
-		<th align="right" style="text-align:right;">
-			<a href="<%=SERVLET_URL%>?action=logout&qformat=first">Logout</a>
-		</th>
 	</tr>
 	<tr>
-		<td colspan="3"">
+		<td colspan="1">
 			<p class="emphasis">Selected Metadata Fields: </p>
 			<p>
 				<table>
@@ -145,12 +130,12 @@
 		</td>
 	</tr>
 	<tr>
-		<th colspan="3">
+		<th colspan="1">
 			&nbsp;
 		</th>
 	</tr>
 	<tr>
-		<td colspan="3">
+		<td colspan="1">
 			<div id="ajaxCartResults" style="/*display:none;*/">
 				<p class="emphasis">Cart is Empty</p>
 			</div>
Index: lib/style/skins/first/left.jsp
===================================================================
--- lib/style/skins/first/left.jsp	(nonexistent)
+++ lib/style/skins/first/left.jsp	(revision 4484)
@@ -0,0 +1,58 @@
+<%@ page    language="java" %>
+<%
+/**
+ * 
+ * '$RCSfile$'
+ * Copyright: 2008 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    '$Author: leinfelder $'
+ *      '$Date: 2008-08-13 15:09:01 -0700 (Wed, 13 Aug 2008) $'
+ * '$Revision: 4235 $'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+     
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */  
+%>
+
+<%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<title>FIRST Data Repository</title>
+<link rel="stylesheet" type="text/css"
+	href="<%=STYLE_SKINS_URL%>/first/first.css"></link>
+<style type="text/css">
+<!--
+.chalkboard {
+	background-image: url(<%=STYLE_SKINS_URL%>/first/images/chalkboard_left.png);
+	background-repeat: repeat-y;
+	height: 100%;
+}
+-->
+</style>	
+</head>
+
+<body>
+<div id="chalkboard" class="chalkboard"></div>
+<!--
+<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" background="<%=STYLE_SKINS_URL%>/first/images/chalkboard_left.png">
+	<tr>
+		<td>&nbsp;</td>
+	</tr>	
+</table>
+-->
+</body>
+</html>

Property changes on: lib/style/skins/first/left.jsp
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/skins/first/footer.jsp
===================================================================
--- lib/style/skins/first/footer.jsp	(revision 4483)
+++ lib/style/skins/first/footer.jsp	(revision 4484)
@@ -39,12 +39,10 @@
 <body>
 <table width="100%" border="0" cellspacing="0" cellpadding="0">
 	<tr>
-		<td>
-			<hr />
-		</td>
-	</tr>
-	<tr valign="top">
-		<td>
+		<td></td>
+	</tr>	
+	<tr valign="top" align="center">
+		<td width="75%" height="145" valign="middle" background="<%=STYLE_SKINS_URL%>/first/images/bkgrndgradient.gif">
 			<p class="intro">
 			This repository is an effort of the <a target="_top" href="http://www.nceas.ucsb.edu">National Center for Ecological
 			Analysis and Synthesis (NCEAS)</a> and is based on software developed by
Index: lib/style/skins/first/first.js
===================================================================
--- lib/style/skins/first/first.js	(revision 4483)
+++ lib/style/skins/first/first.js	(revision 4484)
@@ -97,11 +97,11 @@
 
 //  Location of the header that will be displayed at the top of the page
 var LEFTCOL_URL 
-  = "";
+  = "style/skins/first/left.jsp";
   
 //  Location of the header that will be displayed at the top of the page
 var RIGHTCOL_URL 
-  = "";
+  = "style/skins/first/right.jsp";
   
 //  Location of the header that will be displayed at the top of the page
 var FOOTER_URL 
Index: lib/style/skins/first/images/chalkboard_left.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/first/images/chalkboard_left.png
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/first/images/bkgrndgradient.gif
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/first/images/bkgrndgradient.gif
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/first/images/chalkboard_right.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/first/images/chalkboard_right.png
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/first/images/first_logo.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/first/images/first_logo.png
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/first/images/add.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/first/images/add.png
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/first/images/30pix_bkgrndgradient.gif
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/first/images/30pix_bkgrndgradient.gif
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/first/images/navbarbackground.gif
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/skins/first/images/navbarbackground.gif
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/style/skins/first/first-assessment-resultset.xsl
===================================================================
--- lib/style/skins/first/first-assessment-resultset.xsl	(revision 4483)
+++ lib/style/skins/first/first-assessment-resultset.xsl	(revision 4484)
@@ -61,10 +61,10 @@
 			<![CDATA[
 			downloadMergedResponseData = function(formId, fieldFormId) {
 			
-				if (!areItemsSelected('docid')) {
-					alert("Please select at least one dataset");
-					return false;
-				}
+				//if (!areItemsSelected('docid')) {
+				//	alert("Please select at least one dataset");
+				//	return false;
+				//}
 								
 				//transfer the assessmentItemId to this form
 				//document.getElementById("questionId").value = document.getElementById("assessmentItemId").value;
@@ -83,18 +83,21 @@
 				
 				submitFormObj.submit();
 			}
-			editCart = function(formId, operation) {
+			editCart = function(formId, operation, docid) {
 			
 				var metacatURL = "]]><xsl:value-of select="$contextURL" /><![CDATA[/metacat";
-				if (!areItemsSelected('docid')) {
-					alert("Please select at least one dataset");
-					return false;
-				}
+				//if (!areItemsSelected('docid') && docid) {
+				//	alert("Please select at least one dataset");
+				//	return false;
+				//}
 				
 				var submitFormObj = document.getElementById(formId);
 				submitFormObj.qformat.value = 'first';
 				submitFormObj.action.value = 'editcart';
 				submitFormObj.operation.value = operation;
+				if (docid) {
+					submitFormObj.docid.value = docid;
+				}
 				
 				var myUpdate = new Ajax.Request(
 					metacatURL,
@@ -152,13 +155,23 @@
 			}
 			setControlVisibility = function() {
 				if (document.getElementById("ajaxCartResults")) {
-					new Effect.Appear("removeCart");
-					//new Effect.Fade("addCart");
+					new Effect.Appear("download");
 				}
-				else {
-					new Effect.Appear("addCart");
-					//new Effect.Fade("removeCart");
+			}
+			
+			isInCart = function(docid) {
+		
+				var objs = window.document.getElementById("iframeheaderclass").contentDocument.getElementsByName("@packageId");
+				//var objs = document.getElementsByName("@packageId");
+				if (objs.length == 0) {
+					return false;
 				}
+				for (var i=0; i< objs.length; i++) {
+					if (docid == objs[i].value) {
+						return true;
+					}
+				}
+				return false;
 			}
 			
 			hideDiv = function(divId) {
@@ -184,52 +197,21 @@
 					setControlVisibility();
 				]]>	
 			</script>
-			<p>
-				<a>
-					<xsl:attribute name="href">javascript:{}</xsl:attribute>
-					<xsl:attribute name="onclick">javascript:downloadMergedResponseData('assessmentForm', 'fieldForm')</xsl:attribute>
-					<img border="none">
-						<xsl:attribute name="src">
-							<xsl:value-of select="$contextURL" />
-							<xsl:text>/style/images/page_white_put.png</xsl:text>
-						</xsl:attribute>
-					</img>
-					<xsl:text> Download Selection (.csv)</xsl:text>
-				</a>
-			</p>
-			<div id="addCart" style="display:none;">
-				<p/>
+			<div id="download" style="display:none;">
 				<p>
 					<a>
 						<xsl:attribute name="href">javascript:{}</xsl:attribute>
-						<xsl:attribute name="onclick">javascript:editCart('assessmentForm', 'add')</xsl:attribute>
+						<xsl:attribute name="onclick">javascript:downloadMergedResponseData('assessmentForm', 'fieldForm')</xsl:attribute>
 						<img border="none">
 							<xsl:attribute name="src">
 								<xsl:value-of select="$contextURL" />
-								<xsl:text>/style/images/fav.gif</xsl:text>
+								<xsl:text>/style/images/page_white_put.png</xsl:text>
 							</xsl:attribute>
 						</img>
-						<xsl:text> Add Selection to Cart</xsl:text>
+						<xsl:text> Download (.csv)</xsl:text>
 					</a>
 				</p>
 			</div>
-			<div id="removeCart" style="display:none;">
-				<p/>
-				<p>
-					<a>
-						<xsl:attribute name="href">javascript:{}</xsl:attribute>
-						<xsl:attribute name="onclick">javascript:editCart('assessmentForm', 'remove')</xsl:attribute>
-						<!--  <xsl:text>Remove </xsl:text> -->
-						<img border="none">
-							<xsl:attribute name="src">
-								<xsl:value-of select="$contextURL" />
-								<xsl:text>/style/images/delete.gif</xsl:text>
-							</xsl:attribute>
-						</img>
-						<xsl:text> Remove Selection from Cart</xsl:text>
-					</a>
-				</p>
-			</div>	
 						
 			<!-- for reading the assessment details -->
 			<form action="{$contextURL}/metacat" method="POST" id="readForm" name="readForm" >
@@ -244,7 +226,21 @@
 				<input type="hidden" name="insertTemplate" value="1"/>
 			</form>
 			
-			<!-- for managing the ajax actions -->				
+			<!-- for editing cart -->				
+			<form action="{$contextURL}/metacat" method="POST" id="cartForm" name="cartForm" >
+				<input type="hidden" name="qformat" value="first" />
+				<input type="hidden" name="sessionid">
+					<xsl:attribute name="value">
+						<xsl:value-of select="$sessid" />						
+					</xsl:attribute>
+				</input>
+				<input type="hidden" name="action" value="editcart" />
+				<input type="hidden" name="operation" />
+				<input type="hidden" name="docid" />
+
+			</form>	
+			
+			<!-- for downloading data -->				
 			<form action="{$contextURL}/metacat" method="POST" id="assessmentForm" name="assessmentForm" >
 				<input type="hidden" name="qformat" value="first" />
 				<input type="hidden" name="sessionid">
@@ -255,6 +251,7 @@
 				<input type="hidden" name="action" value="read" />
 				<input type="hidden" name="dataquery" />
 				<input type="hidden" name="operation" />
+				
 				<xsl:element name="input">
 					<xsl:attribute name="type">hidden</xsl:attribute>
 					<xsl:attribute name="id">questionId</xsl:attribute>
@@ -265,15 +262,11 @@
 			<table width="95%" align="left" border="0" cellpadding="0"
 				cellspacing="0">
 				<tr>
-					<th style="text-align: left">
-						<input type="checkbox">
-							<xsl:attribute name="onclick">setSelect(document.assessmentForm, 'docid', this.checked)</xsl:attribute>
-						</input>
+					
+					<th style="text-align: left" colspan="2">
+						Assessment
 					</th>
 					<th style="text-align: left">
-						Assessment Title
-					</th>
-					<th style="text-align: left">
 						Course Title
 					</th>
 					<th	style="text-align: left">
@@ -300,12 +293,62 @@
 			               </xsl:choose>
 			             </xsl:attribute>
 
-						<td class="text_plain">
-							<input type="checkbox" name="docid">
+						<td class="text_plain" nowrap="nowrap">
+						
+							<script type="text/javascript" language="Javascript">
+								<![CDATA[
+									//what are our options?
+									if (isInCart("]]><xsl:value-of select="./docid" /><![CDATA[")) {
+										showDiv("]]><xsl:value-of select="$divId" /><![CDATA[remove");
+										hideDiv("]]><xsl:value-of select="$divId" /><![CDATA[add");
+									}
+									else {
+										showDiv("]]><xsl:value-of select="$divId" /><![CDATA[add");
+										hideDiv("]]><xsl:value-of select="$divId" /><![CDATA[remove");
+									}
+								]]>	
+							</script>
+							<div style="display:none;">
+								<xsl:attribute name="id">
+									<xsl:value-of select="$divId" />
+									<xsl:text>add</xsl:text>
+								</xsl:attribute>
+								<a>
+									<xsl:attribute name="href">javascript:{}</xsl:attribute>
+									<xsl:attribute name="onclick"><![CDATA[javascript:editCart('cartForm', 'add',"]]><xsl:value-of select="./docid" /><![CDATA[")]]></xsl:attribute>
+									<img border="none">
+										<xsl:attribute name="src">
+											<xsl:value-of select="$contextURL" />
+											<xsl:text>/style/skins/first/images/add.png</xsl:text>
+										</xsl:attribute>
+									</img>
+								</a>
+							</div>
+							<div style="display:none;">
+								<xsl:attribute name="id">
+									<xsl:value-of select="$divId" />
+									<xsl:text>remove</xsl:text>
+								</xsl:attribute>
+								<a>
+									<xsl:attribute name="href">javascript:{}</xsl:attribute>
+									<xsl:attribute name="onclick"><![CDATA[javascript:editCart('cartForm', 'remove',"]]><xsl:value-of select="./docid" /><![CDATA[")]]></xsl:attribute>
+									<!--  <xsl:text>Remove </xsl:text> -->
+									<img border="none">
+										<xsl:attribute name="src">
+											<xsl:value-of select="$contextURL" />
+											<xsl:text>/style/images/delete.gif</xsl:text>
+										</xsl:attribute>
+									</img>
+									<xsl:text> Remove</xsl:text>
+								</a>
+							</div>
+
+							<input type="hidden" name="docid">
 								<xsl:attribute name="value">
 									<xsl:value-of select="./docid" />
 								</xsl:attribute>
 							</input>
+							
 						</td>
 						<td>
 							
@@ -373,8 +416,7 @@
 					</tr>
 					
 					<tr>
-						<td width="30">&#160;</td>
-						<td colspan="5">
+						<td colspan="6">
 							Details 
 							<a>
 								<xsl:attribute name="href">javascript:read('readForm', '<xsl:value-of select="./docid" />', '<xsl:value-of select="$divId" />')</xsl:attribute>
@@ -400,8 +442,7 @@
 					</tr>
 					
 					<tr>
-						<td>&#160;</td>
-						<td colspan="5">
+						<td colspan="6">
 							<div style="display:none;">
 								<xsl:attribute name="id">
 									<xsl:value-of select="$divId" />
Index: lib/style/skins/first/right.jsp
===================================================================
--- lib/style/skins/first/right.jsp	(nonexistent)
+++ lib/style/skins/first/right.jsp	(revision 4484)
@@ -0,0 +1,58 @@
+<%@ page    language="java" %>
+<%
+/**
+ * 
+ * '$RCSfile$'
+ * Copyright: 2008 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    '$Author: leinfelder $'
+ *      '$Date: 2008-08-13 15:09:01 -0700 (Wed, 13 Aug 2008) $'
+ * '$Revision: 4235 $'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+     
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */  
+%>
+
+<%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<title>FIRST Data Repository</title>
+<link rel="stylesheet" type="text/css"
+	href="<%=STYLE_SKINS_URL%>/first/first.css"></link>
+<style type="text/css">
+<!--
+.chalkboard {
+	background-image: "images/chalkboard_right.png";
+	background-repeat: repeat-y;
+	height: 100%;
+}
+-->
+</style>	
+</head>
+
+<body>
+<!-- <div id="chalkboard" class="chalkboard"></div>-->
+
+<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" background="<%=STYLE_SKINS_URL%>/first/images/chalkboard_right.png">
+	<tr>
+		<td>&nbsp;</td>
+	</tr>	
+</table>
+
+</body>
+</html>

Property changes on: lib/style/skins/first/right.jsp
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/skins/first/first.css
===================================================================
--- lib/style/skins/first/first.css	(revision 4483)
+++ lib/style/skins/first/first.css	(revision 4484)
@@ -41,7 +41,7 @@
  *  container frame, *NOT* to the document within it!
  */  
 .iframeheaderclass {
-  height:   80px; 
+  height:   183px; 
   width:    100%;
   border:   0px;
   margin:   0px;
@@ -54,8 +54,15 @@
   margin:   0px;
 }
 
-.iframeleftcolclass  { /* not used */ }
-.iframerightcolclass { /* not used */ }
+.iframeleftcolclass  {
+	height:   100%; 
+	width:    144px;
+/*	border-right: dashed #C8C4B9 1px;*/
+}
+.iframerightcolclass { 
+	height:   100%; 
+	width:    144px;
+}
 .iframefooterclass   {   
   width:    100%;
   border:   0px;
@@ -78,7 +85,7 @@
  */ 
 .templatecontentareaclass {
   border:   0px;
-  padding:  10px;
+  padding:  0px;
   margin:   0px;
 }
 
@@ -107,6 +114,7 @@
   border:   0px;
   padding:  0px;
   margin:   0px;
+  vertical-align: top;
 }
 
 
@@ -116,6 +124,7 @@
   border:   0px;
   padding:  0px;
   margin:   0px;
+  vertical-align: top;
 }
 
 
@@ -171,7 +180,9 @@
 
 /** for top-level tables **/
 .tablehead {
-	background-color: #b5d0c1; 	
+	background-color: #C8C4B9;
+	background-image: url(images/30pix_bkgrndgradient.gif);
+	background-repeat: repeat-x;
     color: #243a2d;
     text-align: center;
     font-size: 16px; 