Index: docs/user/pagedreturn.html
===================================================================
--- docs/user/pagedreturn.html	(revision 4505)
+++ docs/user/pagedreturn.html	(revision 4506)
@@ -20,7 +20,7 @@
       <td class="tablehead" colspan="2"><p class="label">Paged Query Returns</p></td>
       <td class="tablehead" colspan="2" align="right">
           <a href="./spatial_option.html">Back</a> | <a href="./metacattour.html">Home</a> | 
-          <a href="./unimplem.html">Next</a>
+          <a href="./sitemaps.html">Next</a>
       </td>
     </tr>
   </table>
@@ -79,7 +79,7 @@
   
   <br>
   <a href="./spatial_option.html">Back</a> | <a href="./metacattour.html">Home</a> | 
-  <a href="./unimplem.html">Next</a>
+  <a href="./sitemaps.html">Next</a>
   
 
 </BODY>
Index: docs/user/metacattour.html
===================================================================
--- docs/user/metacattour.html	(revision 4505)
+++ docs/user/metacattour.html	(revision 4506)
@@ -79,6 +79,7 @@
       <li> <a href="./lsid_authority.html">LSID Support</a></li>
       <li> <a href="./spatial_option.html">Metacat Spatial Option</a></li>
       <li> <a href="./pagedreturn.html">Paged Query Results</a></li>
+      <li> <a href="./sitemaps.html">Search Engine Sitemaps</a></li>
     </ul>
   </td>
 </tr>
Index: docs/user/sitemaps.html
===================================================================
--- docs/user/sitemaps.html	(nonexistent)
+++ docs/user/sitemaps.html	(revision 4506)
@@ -0,0 +1,96 @@
+<!--
+  * sitemaps.html
+  *
+  *      Authors: Michael Daigle
+  *    Copyright: 2008 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2008 November 4
+  *      Version: 
+  *    File Info: '$ '
+  * 
+  * 
+-->
+<HTML>
+<HEAD>
+<TITLE>Search Engine Sitemaps</TITLE>
+<link rel="stylesheet" type="text/css" href="./default.css">
+</HEAD> 
+<BODY>
+  <table width="100%">
+    <tr>
+      <td class="tablehead" colspan="2"><p class="label">Search Engine Sitemaps</p></td>
+      <td class="tablehead" colspan="2" align="right">
+        <a href="./pagedreturn.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+        <a href="./unimplem.html">Next</a>
+      </td>
+    </tr>
+  </table>
+  
+  <div class="header1">Table of Contents</div>
+  <div class="toc1"><a href="#Intro">About Sitemaps</a></div>
+    <div class="toc2"><a href="#Overview">Overview</a></div>
+    <div class="toc2"><a href="#Implementation">Metacat Implementation</a></div>
+  <div class="toc1"><a href="#SubmitSitemap">Submit Your Sitemap</a></div>
+     <div class="toc2"><a href="#GoogleRegister">Register With Google</a></div>
+     <div class="toc2"><a href="#GoogleReRegister">Re-Register With Google</a></div>
+  
+  <a name="Intro"></a><div class="header1">About Sitemaps</div>
+  <a name="Overview"></a><div class="header2">Overview</div>
+  <p>Sitemaps are xml files that tell search engines which sites you would like to
+  be available in a web search.  The scope of this discussion encompasses Google
+  web searches only.</p>
+     
+  <p>The site map file contains metadata about the available sites on your server.  For 
+  information on the sitemap protocol, please refer to 
+  <a href="https://www.google.com/webmasters/tools/docs/en/protocol.html"> the Google 
+  page on using the sitemap protocol</a>.  The sitemap file must be available via the
+  web on your server.</p>
+     
+  <p>Metacat generates the sitemap file automatically on a daily basis (more on this in
+  the next section).  You will need to manually register the sitemap file with Google in
+  order for it to take effect.  We discuss that in the 
+  <a href="#SubmitSitemap">Submit Your Sitemap</a> section.</p>
+  
+  <a name="Implementation"></a><div class="header2">Metacat Implementation</div>
+  <p>Metacat automatically generates sitemap files for all public documents in 
+  your catalog.  You can view the sitemap files at:
+  <div class="code">&lt;webapps_dir&gt;/sitemaps</div>
+  You should see one or more files in this directory that look like
+  <div class="code">metacat&lt;X&gt;.xml</div>
+  Metacat limits the number of entries to 25,000 (Google's limit is 50,000).  So for
+  every group of 25,000 public documents in Metacat, you will see additional sitemap
+  files where &lt;X&gt; increments for each file.</p>
+  
+  <p>You should verify that your sitemap files are available to the web by browsing
+  to
+  <div class="code">&lt;your_web_context&gt;/sitemaps/metacat&lt;X&gt;.xml</div>
+  for instance 
+  <div class="code">your.server.org/knb/sitemaps/metacat1.xml</div></p>
+  
+  <a name="SubmitSitemap"></a><div class="header1">Submit Your Sitemap</div>
+  <a name="GoogleRegister"></a><div class="header2">Register With Google</div>
+  <p>You will need to register for a Google Webmaster Tools account in order to
+  register your sitemaps.  A good description of how to do this is on 
+  <a href="http://www.google.com/support/webmasters/bin/answer.py?answer=34575&topic=8496">
+  the Google help site</a>.  Follow the instructions there to get your sitemaps registered.</p>
+  
+  <p>One note: you should register the full url path to your sitemap files, including 
+  the http:// (or https://) headers.</p>
+
+  <a name="GoogleReRegister"></a><div class="header2">Re-Register With Google</div>  
+  <p>You will need to periodically revisit the Google Webmaster Tools utility to 
+  refresh your sitemap registration as you add more publicly accessible data to
+  Metacat.</p>
+  <p>A future enhancement to Metacat will automatically refresh the sitemap 
+  registration when necessary, although you will still need to do the initial
+  registration manually.</p>
+  
+  <br>
+  <a href="./pagedreturn.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+  <a href="./unimplem.html">Next</a>
+  </ul>
+  
+
+</BODY>
+</HTML>

Property changes on: docs/user/sitemaps.html
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: docs/user/unimplem.html
===================================================================
--- docs/user/unimplem.html	(revision 4505)
+++ docs/user/unimplem.html	(revision 4506)
@@ -21,7 +21,7 @@
     <tr>
       <td class="tablehead" colspan="2"><p class="label">Wishlist</p></td>
       <td class="tablehead" colspan="2" align="right">
-       <a href="./pagedreturn.html">Back</a> | <a href="./metacattour.html">Home</a>
+       <a href="./sitemaps.html">Back</a> | <a href="./metacattour.html">Home</a>
       </td>
     </tr>
   </table>
@@ -33,7 +33,7 @@
   </UL>
   
   <br>
-  <a href="./pagedreturn.html">Back</a> | <a href="./metacattour.html">Home</a> 
+  <a href="./sitemaps.html">Back</a> | <a href="./metacattour.html">Home</a> 
   
 
 </BODY>
Index: docs/user/default.css
===================================================================
--- docs/user/default.css	(revision 4505)
+++ docs/user/default.css	(revision 4506)
@@ -204,18 +204,17 @@
 	background: #ccccff;
     vertical-align: baseline;
     color: black;
-    font-size: 1.5em;
+    font-size: 1.25em;
     font-weight: bold;
     margin-left: 0.25em;
     margin-right: 0.25em;
-    margin-top: .5em; 
-    padding: .5em;
+    margin-top: 1em; 
 }
 .header2 {
 	font-size: 1.25em;
 	font-weight: bold;
 	margin-top: .5em;
-	padding-top: 1em;
+	padding-top: 1em; 
 }
 .header3 {
 	font-size: 1em;
@@ -241,7 +240,7 @@
 	margin-top: .5em;
 	margin-bottom: .5em;
 }.toc1 {
-	font-size: 1.5em;
+	font-size: 1.3em;
 	font-weight: bold;
 	margin-left: 20px;
 }