Index: docs/user/common.css
===================================================================
--- docs/user/common.css	(revision 4555)
+++ docs/user/common.css	(revision 4556)
@@ -42,16 +42,19 @@
     margin-left: 0.25em;
     margin-right: 0.25em;
     margin-top: 1em; 
+    padding-left: .5em;
 }
 .header2 {
 	font-size: 1.25em;
 	font-weight: bold;
+	margin-left: 0.25em;
 	margin-top: .5em;
 	padding-top: 1em; 
 }
 .header3 {
-	font-size: 1em;
+/*	font-size: 1em; */
 	font-weight: bold;
+	margin-left: 0.25em;
 	margin-top: .5em;
 }
 .list1 {
@@ -69,7 +72,7 @@
 }
 .code {
 	font-family: courier;
-	margin-left: 1em;
+	margin-left: 1.5em;
 	margin-top: .5em;
 	margin-bottom: .5em;
 }
@@ -77,12 +80,12 @@
 	margin-top: 10px;
 }
 .toc1 {
-	font-size: 1.25em;
-/*	font-weight: bold; */
+	font-size: 1em;
+	font-weight: bold; 
 	margin-left: 20px;
 }
 .toc2 {
-	font-size: 1.1em;
+	font-size: 1em;
 /*	font-weight: bold; */
 	margin-left: 40px;
 }
@@ -91,3 +94,6 @@
 /*	font-weight: bold; */
 	margin-left: 60px;
 }
+.indent {
+	margin-left: 1em;
+}
Index: docs/user/metacatinstall.html
===================================================================
--- docs/user/metacatinstall.html	(revision 4555)
+++ docs/user/metacatinstall.html	(revision 4556)
@@ -17,6 +17,7 @@
 
 <head>
   <title>Metacat Installation Instructions</title>
+  <link rel="stylesheet" type="text/css" href="./common.css">
   <link rel="stylesheet" type="text/css" href="./default.css">
 </head>
 
@@ -40,68 +41,193 @@
 </table>
 <hr>
 
-<table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p class="emphasis"><h2>***Disclaimer***</h2></p></td>
-<tr>
-<td>
-  <p class="emphasis">
+<div class="header1"><p class="emphasis">***Disclaimer***</p></div>
+<p class="emphasis">
    These installation instructions are meant for a systems administrator/DBA
    or someone who is an advanced computer user.  They are NOT meant for
    the average computer user.  Please realize that by executing these
    instructions, you may have to trouble shoot many advanced issues yourself.
-</td>
-</tr>
-</table>
+</p>
 
-<table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p><a name="The Table of Contents"><h2>The Table of Contents</h2></p></td>
-<tr>
-<td>
-  <ul>
-     <li>
-         <a HREF="metacatinstall.html#Operating System Specific Instructions">Operating System Specific Instructions</a>
-      </li>
-      <li>
-         <a HREF="metacatinstall.html#Pre-Installation">Pre-Installation</a>
-      </li>
-      <li>
-         <a HREF="metacatinstall.html#Additional Software Setup">Additional Software Setup</a>
-      </li>
-      <li>
-         <a HREF="metacatinstall.html#Installing Metacat">Installing Metacat</a>
-      </li>
-        <li>
-         <a HREF="metacatinstall.html#Upgrade">Upgrading Existing Metacat</a>
-      </li>
-      <li>
-        <a href="metacatinstall.html#Registry">Registry</a>
-      
-  </ul>
-</td>
+<div class="header1">Table of Contents</div>
+  <div class="toc">
+    <div class="toc1"><a href="#QuickInstructions">Quick Instructions</a></div>
+      <div class="toc2"><a href="#QuickInstall">Quick Installation</a></div> 
+      <div class="toc2"><a href="#QuickUpdate">Quick Update</a></div>
+    <div class="toc1"><a href="#SourceInstall">Installing From Source Code</a></div>
+      <div class="toc2"><a href="#WindowsXP">Windows XP</a></div>
+      <div class="toc2"><a href="#Ubuntu8.04">Ubuntu 8.04</a></div>
+      <div class="toc2"><a href="#MacOSX">Mac OS X</a></div>
+    <div class="toc1"><a href="#PreInstallation">Pre-Installation</a></div>
+      <div class="toc2"><a href="#MinRequirements">Minimum Requirements</a></div> 
+      <div class="toc2"><a href="#AdditionalRequiredSoftware">Additional Required Software</a></div>
+    <div class="toc1"><a href="#AdditionalSoftwareSetup">Additional Software Setup</a></div>
+    <div class="toc1"><a href="#InstallingMetacat">Installing Metacat</a></div>
+    <div class="toc1"><a href="#UpgradingMetacat">Upgrading Existing Metacat</a></div>
+    <div class="toc1"><a href="#Registry">Registry</a></div>
+  </div> 
 
-<table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p><a name="Operating System Specific Instructions"><h2>Operating System Specific Instructions</h2></p></td>
-<tr>
-<td>
-  <p class="emphasis">
-These documents are meant to outline the metacat installation process on specific platforms. They are <strong><em>not</em></strong> a substitute for the below instructions and only meant as a supplemental guideline. 
-  </p>
-  <ul>
-    <li> <a href="os_specific/install_metacat_windows.html">Installing from CVS source on Windows XP</a> </li>
-    <li> <a href="os_specific/install_metacat_ubuntu.html">Installing from CVS source on Ubuntu 6.06 (ie Dapper Drake)</a> </li>
-    <li> <a href="os_specific/install_metacat_mac.html">Installing from CVS source on Mac OS X</a> </li>
+<a name="QuickInstructions"></a><div class="header1">Quick Instructions</div>
 
-  </ul>
-</td>
-</tr>
-</table>
+  <a name="QuickInstall"></a><div class="header2">Quick Installation</div>  
+  <p>These are the installation instructions for a system that has Ubuntu 8.04 installed
+  and has never had Metacat installed on it:</p>
+ 
+  <div class=indent>
+    <a name="DownloadMetacatInstall"></a><div class="header3">Download Metacat Package</div>
+    <p>Browse to the 
+      <a href="http://knb.ecoinformatics.org/software/download.html">KNB Software Download Page</a>.
+      In the Metacat section, select the link that looks like:</p>
+	  <div class="code">metacat-bin-X.X.X.tar.gz</div>
+    <p>where X.X.X is the latest version of Metacat.  Choose to save the file locally.</p>
+    <p>Extract the Metacat package files by typing:</p>
+      <div class="code">tar -xvzf metacat-bin-X.X.X.tar.gz</div>
+    <p>You should see a war file and several supporting files.  The location where these files
+    were extracted will be refered to as the the &lt;metacat_package_dir&gt; for the remainder 
+    of this documentation.
+  </div>
+  
+  <div class=indent>
+    <a name="CreateMetacatDirs"></a><div class="header3">Create Metacat Directories</div>
+    <p>Create the metacat utility base directory by typing:</p>
+      <div class="code">sudo mkdir /var/metacat</div>
+	  <div class="code">sudo chown -R &lt;tomcat_user&gt; /var/metacat</div>
+    <p>where &lt;tomcat_user&gt; is the user that will start Tomcat.  If you are 
+	starting Tomcat as the root user, you do not need to run the chown command.</p>
+  </div>
 
+  <div class=indent>
+    <a name="InstallJava"></a><div class="header3">Install Java</div>
+    <p>Install Java by typing:</p>
+      <div class="code">sudo apt-get install sun-java5-jdk</div>
+	<p>hit "ok" then "yes" for license agreement<p>
+  </div>
 
-<table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p><a name="Pre-Installation"><h2>Pre-Installation</h2></p></td>
-<tr>
-<td>
-  <p class="header">Minimum Requirements</p> 
+  <div class=indent>
+   <a name="InstallApache"></a><div class="header3">Install Apache</div>
+	<p>Install Apache and and Mod JK packages by typing:</p>	
+      <div class="code">sudo apt-get install apache2</div>
+      <div class="code">sudo apt-get install libapache2-mod-jk</div>
+    <p>Setup Mod JK apache configuration by typing:</p>
+      <div class="code">sudo cp &lt;metacat_package_dir&gt;/jk.conf /etc/apache2/mods-available</div>
+      <div class="code">sudo cp &lt;metacat_package_dir&gt;/workers.properties /etc/apache2</div>
+    <p>Enable Apache Mod JK by typing:</p>
+      <div class="code">sudo a2dismod jk</div>
+      <div class="code">sudo a2enmod jk</div>
+    <p>Set up and enable knb (Metacat) site configurations by typing:</p>
+      <div class="code">sudo cp &lt;metacat_package_dir&gt;/knb /etc/apache2/sites-available</div>
+      <div class="code">sudo a2ensite knb</div>
+    <p>Restart apache to bring in changes by typing:</p>
+      <div class="code">sudo /etc/init.d/apache2 force-reload</div>
+  </div>
+     
+  <div class=indent> 
+    <a name="InstallTomcat"></a><div class="header3">Install Tomcat</div>
+    <p>Install Tomcat 5.5 by typing:</p>
+      <div class="code">sudo sudo apt-get install tomcat5.5</div> 
+    <p>Install Metacat friendly Tomcat startup script by typing:</p>     
+      <div class="code">sudo /etc/init.d/tomcat5.5 stop</div>    
+      <div class="code">sudo mv /etc/init.d/tomcat5.5 /etc/init.d/tomcat5.5.bak</div>
+      <div class="code">sudo cp &lt;metacat_package_dir&gt;/tomcat5.5 /etc/init.d/tomcat5.5</div>
+      <div class="code">sudo chmod +x /etc/init.d/tomcat5.5</div>
+    </p>
+  </div>
+
+  <div class=indent>    
+    <a name="InstallPostgres"></a><div class="header3">Install PostgreSQL Database</div> 
+    <p>Install PostgreSQL by typing:</p>
+      <div class="code">sudo apt-get install postgresql</div>
+    <p>Change to postgres user:</p>
+      <div class="code">sudo su - postgres</div>
+    <p>Setup empty Metacat database instance editing the postgreSQL configuration file:</p>  
+      <div class="code">gedit /etc/postgresql/8.3/main/pg_hba.conf</div>
+    <p>and adding the following line:</p>
+      <div class="code">host metacat metacat 127.0.0.1 255.255.255.255 password</div>
+    <p>Save the file, then create the metacat instance:</p>
+      <div class="code">createdb metacat</div>
+    <p>Log into postgreSQL by typing:</p>
+	  <div class="code">psql metacat</div>
+	<p>and create the metacat user by typing at the psql prompt:</p>
+	  <div class="code">CREATE USER metacat WITH UNENCRYPTED PASSWORD 'your_password';</div>
+	<p>where your_password is whatever password you would like for the metacat user.</p>
+	<p>Exit PostgreSQL by typing</p>
+	  <div class="code">\q</div>
+	<p>Restart the PostgreSQL database to bring in changes:</p>
+	  <div class="code">/etc/init.d/postgresql-8.3 restart</div>
+	<p>Log out of the postgres user account by typing:</p>
+	  <div class="code">logout</div>
+	<p>Test the installation and metacat account by typing:</p>
+	  <div class="code">psql -U metacat -W -h localhost metacat</div>
+	<p>Log back out of postgreSOL:</p>
+	  <div class="code">\q</div>
+  </div>
+
+  <div class=indent>	
+    <a name="InstallMetacatWAR"></a><div class="header3">Install Metacat War</div> 
+    <p>Copy the war file to Tomcat:</p>
+	  <div class="code">sudo cp knb.war /usr/share/tomcat5.5/webapps</div>
+	<p>Restart Tomcat:</p>  
+	  <div class="code">sudo /etc/init.d/tomcat5.5 restart</div>
+  </div>
+	
+  <div class=indent>	
+    <a name="ConfigureMetacatInstall"></a><div class="header3">Configure Metacat</div> 
+    <p>Refer to the documentation on <a href="./metacatconfigure.html">Metacat Confguration</a>
+    to complete your installation of Metacat.</p>
+  </div>
+    
+  <a name="QuickUpdate"></a><div class="header2">Quick Update</div>
+  <p>These are the instructions for a system that already has Metacat installed on it, 
+  but needs a Metacat upgrade:</p>
+  
+  <div class=indent>
+    <a name="DownloadMetacatUpdate"></a><div class="header3">Download Metacat Package</div>
+    <p>Browse to the 
+      <a href="http://knb.ecoinformatics.org/software/download.html">KNB Software Download Page</a>.
+      In the Metacat section, select the link that looks like:</p>
+	  <div class="code">metacat-bin-X.X.X.tar.gz</div>
+    <p>where X.X.X is the latest version of Metacat.  Choose to save the file locally.</p>
+    <p>Extract the Metacat package files by typing:</p>
+      <div class="code">tar -xvzf metacat-bin-X.X.X.tar.gz</div>
+    <p>You should see a war file and several supporting files.  The location where these files
+    were extracted will be refered to as the the &lt;metacat_package_dir&gt; for the remainder 
+    of this documentation.
+  </div>
+  
+  <div class=indent>
+    <a name="BackupApplication"></a><div class="header3">Backup Existing Metacat Installation</div>
+    <p>To be safe, it is best to backup the existing Metacat installation.  Do so by typing: </p>
+	  <div class="code">cp <web_app_dir>/knb <web_app_dir>/knb.bak</div>
+	  <div class="code">cp <web_app_dir>/knb.war <web_app_dir>/knb.war.bak</div>
+	<p>Of course, you can use any backup strategy you like (or none at all).</p>
+  </div>
+  
+    <div class=indent>	
+    <a name="InstallMetacatWAR"></a><div class="header3">Install Metacat War</div> 
+    <p>Copy the war file to Tomcat:</p>
+	  <div class="code">sudo cp knb.war /usr/share/tomcat5.5/webapps</div>
+	<p>Restart Tomcat:</p>  
+	  <div class="code">sudo /etc/init.d/tomcat5.5 restart</div>
+  </div>
+	
+  <div class=indent>	
+    <a name="ConfigureMetacatInstall"></a><div class="header3">Configure Metacat</div> 
+    <p>Refer to the documentation on <a href="./metacatconfigure.html">Metacat Confguration</a>
+    to complete your installation of Metacat.</p>
+  </div>
+
+<a name="SourceInstall"></a><div class="header1">Installing From Source Code</div>
+<p>These documents are meant to outline the metacat installation process on specific platforms. They are 
+<strong><em>not</em></strong> a substitute for the below instructions and only meant as a supplemental guideline. </p>  
+  <a name="WindowsXP"></a><div class="header2">Windows XP</div> 
+    <p> See the <a href="os_specific/install_metacat_windows.html">Windows XP installation instructions</a>.</p>
+  <a name="Ubuntu8.04"></a><div class="header2">Ubuntu 8.04</div>
+    <p> See the <a href="os_specific/install_metacat_ubuntu.html">Ubuntu 8.04 installation instructions</a>.</p>
+  <a name="MacOSX"></a><div class="header2">Mac OS X</div>
+    <p> See the <a href="os_specific/install_metacat_mac.html">Mac OS X installation instructions</a>.</p>
+
+<a name="PreInstallation"></a><div class="header1">Pre-Installation</div>
+  <a name="MinRequirements"></a><div class="header2">Minimum Requirements</div> 
   <p>
    Installing Metacat requires a server running an SQL92 compliant database
    (Oracle 8i or Postgresql recommended) with at least 128MB RAM, and a Pentium III class
@@ -111,7 +237,8 @@
    installation).  These instructions assume a Linux environment but may
    work on other UNIX type environments, however this has not been tested.
   </p>
-  <p class = "header">Additional Required Software</p>
+  
+  <a name="AdditionalRequiredSoftware"></a><div class="header2">Additional Required Software</div>
   <p>
    The server on which you wish to install Metacat must have the following
    software installed and running correctly before attempting to install
@@ -129,9 +256,6 @@
      </li>
    </ul>
   </p>
-</td>
-</tr>
-</table>
 
 <table class="tabledefault" width="100%">
 <td class="tablehead" colspan="2"><p><a name="Additional Software Setup"><h2>Aditional Software Setup</h2></p></td>
Index: docs/user/replication.html
===================================================================
--- docs/user/replication.html	(revision 4555)
+++ docs/user/replication.html	(revision 4556)
@@ -14,6 +14,7 @@
 <HTML>
 <HEAD>
 <TITLE>Metacat Replication</TITLE>
+<link rel="stylesheet" type="text/css" href="./common.css">
 <link rel="stylesheet" type="text/css" href="./default.css">
 </HEAD> 
 <BODY>