Index: docs/user/metacatconfigure.html
===================================================================
--- docs/user/metacatconfigure.html	(revision 4578)
+++ docs/user/metacatconfigure.html	(revision 4579)
@@ -171,9 +171,9 @@
   following properties appropriately:</p>
   
   <ul>
-    <li>ldap.administrators - a colon separated list of administrators</li>
-    <li>ldap.url - the LDAP server url</li>
-    <li>ldap.surl - the LDAP secure server url</li>  
+    <li>auth.administrators - a colon separated list of administrators</li>
+    <li>auth.url - the authenication server url</li>
+    <li>auth.surl - the authentication secure server url</li>  
   </ul>
   
   <p>Save the metacat.properties file and start Tomcat.</p>
Index: docs/user/properties.html
===================================================================
--- docs/user/properties.html	(revision 4578)
+++ docs/user/properties.html	(revision 4579)
@@ -70,7 +70,7 @@
     <div class="index-entry"><a href="#application.metacatVersion">Application Values</a></div>
     <div class="index-entry"><a href="#database.connectionURI">Database Values</a></div>
     <div class="index-entry"><a href="#auth.class">Authorization Values</a></div>
-    <div class="index-entry"><a href="#ldap.administrators">LDAP Values</a></div>
+    <div class="index-entry"><a href="#auth.administrators">Authentication Values</a></div>
     <div class="index-entry"><a href="#xml.saxparser">XML/EML Values</a></div>    
   
   <a name="GlobalMetacatProperties"></a><h1>Global Metacat Properties - (metacat.properties) </h1>
@@ -938,7 +938,7 @@
   </div>
   <div class="property-description-line">
     <h2 class="property-inline"> Set Method: </h2> 
-    <p class="property-text">Manual</p>
+    <p class="property-text">Configuration Utility</p>
   </div>
   <div class="property-description-line">
     <h2 class="property-inline"> Description: </h2> 
@@ -945,7 +945,8 @@
     <p class="property-text"> The class that is used for user authentication.  Currently,
     only the AuthLdap class is included in the Metacat distribution, but it is possible
     for an admin to implement other authentication strategies by implementing a Java
-    class that extends the AuthInterface interface and rebuilding Metacat.</p>
+    class that extends the AuthInterface interface and rebuilding Metacat.  Change this to 
+    be the fully qualified class name of your custom authentication mechanism.</p>
   </div>
   <div class="property-description-line">
     <h2 class="property-inline"> Example: </h2> 
@@ -973,7 +974,7 @@
   
   <br>
 
-  <a name="ldap.administrators"></a><h1 class="property-main"> ldap.administrators </h1>
+  <a name="auth.administrators"></a><h1 class="property-main"> auth.administrators </h1>
   <div class="property-description-line">
     <h2 class="property-inline"> Default Value: </h2> 
     <p class="property-text">(none)</p>
@@ -998,7 +999,7 @@
     <p class="property-text">cn=yourgroup,o=NCEAS,dc=ecoinformatics,dc=org</p>
   </div>  
   
-  <a name="ldap.url"></a><h1 class="property-main"> ldap.url </h1>
+  <a name="auth.url"></a><h1 class="property-main"> auth.url </h1>
   <div class="property-description-line">
     <h2 class="property-inline"> Default Value: </h2> 
     <p class="property-text">ldap://ldap.ecoinformatics.org:389/</p>
@@ -1009,7 +1010,7 @@
   </div>
   <div class="property-description-line">
     <h2 class="property-inline"> Description: </h2> 
-    <p class="property-text"> The url of the ldap server that Metacat
+    <p class="property-text"> The url of the server that Metacat
     should use for authentication.</p>
   </div>
   <div class="property-description-line">
@@ -1017,7 +1018,7 @@
     <p class="property-text">ldap://ldap.ecoinformatics.org:389/</p>
   </div> 
   
-  <a name="ldap.surl"></a><h1 class="property-main"> ldap.surl </h1>
+  <a name="auth.surl"></a><h1 class="property-main"> auth.surl </h1>
   <div class="property-description-line">
     <h2 class="property-inline"> Default Value: </h2> 
     <p class="property-text">ldap://ldap.ecoinformatics.org:389/</p>
@@ -1028,7 +1029,7 @@
   </div>
   <div class="property-description-line">
     <h2 class="property-inline"> Description: </h2> 
-    <p class="property-text"> The url of the ldap server that Metacat
+    <p class="property-text"> The url of the server that Metacat
     should use for  secure authentication.</p>
   </div>
   <div class="property-description-line">
@@ -1036,7 +1037,7 @@
     <p class="property-text">ldap://ldap.ecoinformatics.org:389/</p>
   </div>   
  
-  <a name="ldap.allowedSubmitters"></a><h1 class="property-main"> ldap.allowedSubmitters </h1>
+  <a name="auth.allowedSubmitters"></a><h1 class="property-main"> auth.allowedSubmitters </h1>
   <div class="property-description-line">
     <h2 class="property-inline"> Default Value: </h2> 
     <p class="property-text">(none)</p>
@@ -1056,7 +1057,7 @@
     <p class="property-text">uid=youruser,o=NCEAS,dc=ecoinformatics,dc=org</p>
   </div>   
   
-  <a name="ldap.deniedSubmitters"></a><h1 class="property-main"> ldap.deniedSubmitters </h1>
+  <a name="auth.deniedSubmitters"></a><h1 class="property-main"> auth.deniedSubmitters </h1>
   <div class="property-description-line">
     <h2 class="property-inline"> Default Value: </h2> 
     <p class="property-text">(none)</p>
Index: docs/user/metacatinstall-backup.html
===================================================================
--- docs/user/metacatinstall-backup.html	(revision 4578)
+++ docs/user/metacatinstall-backup.html	(revision 4579)
@@ -123,7 +123,7 @@
       </td>
     </tr>
     <tr>
-      <td><a name="ldap.url">ldapUrl</td>
+      <td><a name="auth.url">auth.url</td>
       <td>URL to the LDAP server. The LDAP server is used in the default
           authentication module to authenticate and identify users of the
           system.  To participate in the KNB network, you should leave this at